summaryrefslogtreecommitdiffstats
path: root/etc/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d')
-rw-r--r--etc/rc.d/diskless4
-rw-r--r--etc/rc.d/initdiskless18
-rw-r--r--etc/rc.d/resolv4
-rw-r--r--etc/rc.d/tmp4
-rw-r--r--etc/rc.d/var4
5 files changed, 20 insertions, 14 deletions
diff --git a/etc/rc.d/diskless b/etc/rc.d/diskless
index 229a82e..c312265 100644
--- a/etc/rc.d/diskless
+++ b/etc/rc.d/diskless
@@ -56,7 +56,7 @@ mount_md()
}
# If there is a global system configuration file, suck it in.
-mount_md ${varsize:=65536} /var 1
+#
if [ -r /etc/rc.subr ]; then
. /etc/rc.subr
load_rc_config $name
@@ -83,7 +83,7 @@ fi
# If /tmp is a symlink, assume it points to somewhere writable, like
# /var/tmp, otherwise, use a small memory filesystem for /tmp.
- mount_md ${tmpsize:=20480} /tmp 2
+#
# XXX: mtree runs too early to create any directories needed in /tmp,
# so if /var/tmp == /tmp, then you don't get a vi.recover.
#
diff --git a/etc/rc.d/initdiskless b/etc/rc.d/initdiskless
index 30b4e4f..050628a 100644
--- a/etc/rc.d/initdiskless
+++ b/etc/rc.d/initdiskless
@@ -92,13 +92,14 @@ for i in ${iflist} ; do
done
echo "Interface ${bootp_ifc} IP-Address ${bootp_ipa} Broadcast ${bootp_ipbca}"
+if [ -d /conf/default/etc ]; then
+ mount_md 4096 /etc 0
+ chkerr $? "MFS mount on /etc"
+ /bin/chmod 755 /etc
-mount_md 4096 /etc 0
-chkerr $? "MFS mount on /etc"
-/bin/chmod 755 /etc
-
-/bin/cp -Rp /conf/default/etc/* /etc
-chkerr $? "cp /conf/default/etc to /etc MFS"
+ /bin/cp -Rp /conf/default/etc/* /etc
+ chkerr $? "cp /conf/default/etc to /etc MFS"
+fi
# Allow for override files to replace files in /etc. Use /conf/*/etc to find
# the override files. First choice is default files that # always override,
@@ -114,6 +115,11 @@ for i in ${bootp_ipbca} ${bootp_ipa} ; do
fi
done
+# Since we are starting with a very fresh /etc on an MFS:
+if [ -d /conf/default/etc ]; then
+ newaliases
+if
+
# Tell /etc/rc to run the specified script after it does its mounts but
# before it does anything else.
#
diff --git a/etc/rc.d/resolv b/etc/rc.d/resolv
index 229a82e..c312265 100644
--- a/etc/rc.d/resolv
+++ b/etc/rc.d/resolv
@@ -56,7 +56,7 @@ mount_md()
}
# If there is a global system configuration file, suck it in.
-mount_md ${varsize:=65536} /var 1
+#
if [ -r /etc/rc.subr ]; then
. /etc/rc.subr
load_rc_config $name
@@ -83,7 +83,7 @@ fi
# If /tmp is a symlink, assume it points to somewhere writable, like
# /var/tmp, otherwise, use a small memory filesystem for /tmp.
- mount_md ${tmpsize:=20480} /tmp 2
+#
# XXX: mtree runs too early to create any directories needed in /tmp,
# so if /var/tmp == /tmp, then you don't get a vi.recover.
#
diff --git a/etc/rc.d/tmp b/etc/rc.d/tmp
index 229a82e..c312265 100644
--- a/etc/rc.d/tmp
+++ b/etc/rc.d/tmp
@@ -56,7 +56,7 @@ mount_md()
}
# If there is a global system configuration file, suck it in.
-mount_md ${varsize:=65536} /var 1
+#
if [ -r /etc/rc.subr ]; then
. /etc/rc.subr
load_rc_config $name
@@ -83,7 +83,7 @@ fi
# If /tmp is a symlink, assume it points to somewhere writable, like
# /var/tmp, otherwise, use a small memory filesystem for /tmp.
- mount_md ${tmpsize:=20480} /tmp 2
+#
# XXX: mtree runs too early to create any directories needed in /tmp,
# so if /var/tmp == /tmp, then you don't get a vi.recover.
#
diff --git a/etc/rc.d/var b/etc/rc.d/var
index 229a82e..c312265 100644
--- a/etc/rc.d/var
+++ b/etc/rc.d/var
@@ -56,7 +56,7 @@ mount_md()
}
# If there is a global system configuration file, suck it in.
-mount_md ${varsize:=65536} /var 1
+#
if [ -r /etc/rc.subr ]; then
. /etc/rc.subr
load_rc_config $name
@@ -83,7 +83,7 @@ fi
# If /tmp is a symlink, assume it points to somewhere writable, like
# /var/tmp, otherwise, use a small memory filesystem for /tmp.
- mount_md ${tmpsize:=20480} /tmp 2
+#
# XXX: mtree runs too early to create any directories needed in /tmp,
# so if /var/tmp == /tmp, then you don't get a vi.recover.
#
OpenPOWER on IntegriCloud